From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/3to2/
Date: Mon, 27 May 2019 18:32:50 +0000 (UTC) [thread overview]
Message-ID: <1558981957.067bc0dd31b97f2c8439d48e9c10bd24876880fd.soap@gentoo> (raw)
commit: 067bc0dd31b97f2c8439d48e9c10bd24876880fd
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon May 27 18:29:12 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon May 27 18:32:37 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=067bc0dd
dev-python/3to2: Port to EAPI 7 and add py3.7
Package-Manager: Portage-2.3.66, Repoman-2.3.12
Signed-off-by: David Seifert <soap <AT> gentoo.org>
dev-python/3to2/3to2-1.1.1-r1.ebuild | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/dev-python/3to2/3to2-1.1.1-r1.ebuild b/dev-python/3to2/3to2-1.1.1-r1.ebuild
index 4f850563c50..9297c84877e 100644
--- a/dev-python/3to2/3to2-1.1.1-r1.ebuild
+++ b/dev-python/3to2/3to2-1.1.1-r1.ebuild
@@ -1,9 +1,9 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
-PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
inherit distutils-r1
DESCRIPTION="Tool to refactor valid 3.x syntax into valid 2.x syntax"
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
-DEPEND="app-arch/unzip"
+BDEPEND="app-arch/unzip"
python_prepare() {
# https://bitbucket.org/amentajo/lib3to2/issues/50/testsuite-fails-with-new-python-35
@@ -23,12 +23,12 @@ python_prepare() {
sed -i -e "/test_argument_unpacking/a \\ return"\
lib3to2/tests/test_print.py || die
sed -i -e "s/Exception, err/Exception as err/" lib3to2/build.py || die
- distutils-r1_python_prepare_all
+ distutils-r1_python_prepare_all
}
python_test() {
cd "${BUILD_DIR}"/lib || die
# the standard test runner fails to properly return failure
- "${PYTHON}" -m unittest discover || die "Tests fail with ${EPYTHON}"
+ "${EPYTHON}" -m unittest discover || die "Tests fail with ${EPYTHON}"
}
next reply other threads:[~2019-05-27 18:32 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-05-27 18:32 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-03-11 12:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/3to2/ Sam James
2020-11-17 0:08 Michał Górny
2019-12-29 9:29 David Seifert
2018-06-23 15:15 Mikle Kolyada
2017-05-04 15:14 Manuel Rüger
2016-08-08 7:50 David Seifert
2016-03-08 11:45 Patrice Clement
2016-03-08 11:45 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1558981957.067bc0dd31b97f2c8439d48e9c10bd24876880fd.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox